#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
%define		enable_autotools 1
%global		package_version 3.3.1
%global		package_name ovirt-log-collector

Summary:	Log Collector for Red Hat Enterprise Virtualization
Name:		rhevm-log-collector
Version:	3.3.1
Release:	5%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		http://resources.ovirt.org/releases/3.3/src/%{package_name}-%{package_version}.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	python
Requires:	python-dateutil
Requires:	python-lxml
Requires:	rhevm-sdk-python
Requires:	rhevm-lib
Requires:	logrotate
Requires:	sos
Requires:	openssh-clients
BuildRequires:	python2-devel
BuildRequires:	gettext
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel

Patch1: 0001-Suggest-using-filters-if-there-are-more-than-10-host.patch
Patch2: 0002-Offer-using-filters-when-the-archize-size-is-1GB.patch
Patch3: 0003-conf-use-ovirt-engine-lib-configfile.patch
Patch4: 0004-Use-max-1000-option-return-results-when-calling-the-.patch
Patch5: 0005-Remove-limit-of-1000-hosts-and-make-it-use-paginatio.patch
Patch6: 0006-UX-remove-alarming-warning.patch
Patch7: 0007-sos-postgresql-always-use-db-host.patch

%description
Log Collector tool for Red Hat Enterprise Virtualization

%prep
%setup -q -n %{package_name}-%{package_version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build

%if 0%{?enable_autotools}
autoreconf -ivf
%endif

%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-log-collector %{buildroot}/%{_bindir}/rhevm-log-collector
echo ".so man8/engine-log-collector.8" > %{buildroot}/%{_mandir}/man8/rhevm-log-collector.8

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%config(noreplace) %{_sysconfdir}/ovirt-engine/logcollector.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{_sysconfdir}/ovirt-engine/logcollector.conf.d/.keep
%{python_sitelib}/ovirt_log_collector/*.py*
%{python_sitelib}/ovirt_log_collector/helper/*.py*
%{python_sitelib}/sos/plugins/*.py*
%{_bindir}/engine-log-collector
%{_mandir}/man8/*
%{_bindir}/rhevm-log-collector

%changelog
* Tue Dec 17 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.3.1-5
- Resolves: BZ#1039747

* Tue Nov 19 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.3.1-4
- Resolves: BZ#1029234

* Mon Nov 04 2013 Kiril Nesenko <knesenko@redhat.com> - 3.3.1-3
- Resolves: BZ#1014379 BZ#1022557

* Thu Oct 24 2013 Kiril Nesenko <knesenko@redhat.com> - 3.3.1-2
- Resolves: BZ#1015022

* Mon Sep 30 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.3.1-1
- Update to 3.3.1
- Resolves: BZ#989484
- Resolves: BZ#1010472

* Fri Sep 13 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.3.0-1
- Resolves: BZ#950336
- Resolves: BZ#956518
- Resolves: BZ#977836
- Resolves: BZ#977863
- Resolves: BZ#999336
- Resolves: BZ#1003261

* Wed Aug 21 2013 Kiril Nesenko <knesenko@redhat.com> - 3.3.0-0.2.rc
- Resolves: BZ#998576

* Mon Aug  5 2013 Sandro Bonazzola <sbonazzo@redhat.com> -3.3.0-0.1.master
- Resolves: BZ#962677

* Sun Jun 23 2013 Kiril Nesenko <knesenko@redhat.com> - 3.3.0-0.0.master
- Resolves: BZ#976248
